# std::binary_function< _Arg1, _Arg2, _Result > Struct Template Reference
[Functor Base Classes]

Inheritance diagram for std::binary_function< _Arg1, _Arg2, _Result >:

List of all members.

## Detailed Description

### template<typename _Arg1, typename _Arg2, typename _Result>
struct std::binary_function< _Arg1, _Arg2, _Result >

This is one of the functor base classes.

Definition at line 115 of file stl_function.h.

## Public Types

- typedef _Arg1 first_argument_type
- typedef _Result result_type
- typedef _Arg2 second_argument_type

## Member Typedef Documentation

template<typename _Arg1, typename _Arg2, typename _Result>

typedef _Arg1 std::binary_function< _Arg1, _Arg2, _Result >::first_argument_type

the type of the first argument

Definition at line 117 of file stl_function.h.

template<typename _Arg1, typename _Arg2, typename _Result>

typedef _Result std::binary_function< _Arg1, _Arg2, _Result >::result_type

type of the return type

Reimplemented in std::_Reference_wrapper_base_impl< true, true, _Tp >.

Definition at line 121 of file stl_function.h.

template<typename _Arg1, typename _Arg2, typename _Result>

typedef _Arg2 std::binary_function< _Arg1, _Arg2, _Result >::second_argument_type

(no surprises here) the type of the second argument

Definition at line 120 of file stl_function.h.

The documentation for this struct was generated from the following file:

- stl_function.h